PortalUserDTO (Register VRE Users Portlet 1.1.0-3.6.0 API)
Date: 2015-03-03

org.gcube.portlets.admin.manageusers.shared

## Class PortalUserDTO

- java.lang.Object
- - com.extjs.gxt.ui.client.data.BaseModelData
  - - com.extjs.gxt.ui.client.data.BaseModel
    - - org.gcube.portlets.admin.manageusers.shared.PortalUserDTO

- All Implemented Interfaces:
    com.extjs.gxt.ui.client.data.ChangeEventSource, com.extjs.gxt.ui.client.data.Model, com.extjs.gxt.ui.client.data.ModelData, Serializable

      public class PortalUserDTO
      extends com.extjs.gxt.ui.client.data.BaseModel

  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class com.extjs.gxt.ui.client.data.BaseModel

      `changeEventSupport`

    - ### Fields inherited from class com.extjs.gxt.ui.client.data.BaseModelData

      `allowNestedValues, map`

    - ### Fields inherited from interface com.extjs.gxt.ui.client.data.ChangeEventSource

      `Add, Remove, Update`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PortalUserDTO()`
    `PortalUserDTO(String id, String initial, String name, String lastname, String email, String role, String laboratory)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getEmail()`
    `String` | `getId()`
    `String` | `getInitial()`
    `String` | `getLaboratory()`
    `String` | `getLastName()`
    `String` | `getName()`
    `String` | `getRole()`
    `String` | `toString()`

    - ### Methods inherited from class com.extjs.gxt.ui.client.data.BaseModel

      `addChangeListener, addChangeListener, fireEvent, fireEvent, isSilent, notify, notifyPropertyChanged, remove, removeChangeListener, removeChangeListeners, set, setSilent`

    - ### Methods inherited from class com.extjs.gxt.ui.client.data.BaseModelData

      `get, get, getProperties, getPropertyNames, isAllowNestedValues, setAllowNestedValues, setProperties`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface com.extjs.gxt.ui.client.data.ModelData

      `get, getProperties, getPropertyNames`

- - ### Constructor Detail

    - #### PortalUserDTO

          public PortalUserDTO()

    - #### PortalUserDTO

          public PortalUserDTO(String id,
                       String initial,
                       String name,
                       String lastname,
                       String email,
                       String role,
                       String laboratory)

      Parameters:
        `id` -
        `initial` - the first letter of the last name
        `name` -
        `lastname` -
        `email` -
        `role` -
        `laboratory` -

  - ### Method Detail

    - #### getId

          public String getId()

    - #### getInitial

          public String getInitial()

    - #### getName

          public String getName()

    - #### getLastName

          public String getLastName()

    - #### getEmail

          public String getEmail()

    - #### getRole

          public String getRole()

    - #### getLaboratory

          public String getLaboratory()

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2015. All Rights Reserved.